Annotations
GET https://analyticse.com/api/annotations/
curl --request GET \
--url 'https://analyticse.com/api/annotations/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/annotations/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| website_id | Optionnel Entier | |
| search | Optionnel Chaîne | La chaîne de recherche. |
| search_by | Optionnel Chaîne | Quel champ recherchez-vous ? Les valeurs autorisées sont : name. |
| datetime_field | Optionnel Chaîne | Valeurs autorisées : datetime, last_datetime, chart_datetime |
| datetime_start | Optionnel Chaîne | Date de début |
| datetime_end | Optionnel Chaîne | Date de fin |
| order_by | Optionnel Chaîne | Quel champ pour trier les résultats. Les valeurs autorisées sont : annotation_id, website_id, datetime, last_datetime, name, chart_datetime. |
| order_type | Optionnel Chaîne | L'ordre des résultats. Les valeurs autorisées sont : ASC pour un ordre croissant, et DESC pour un ordre décroissant. |
| page | Optionnel Entier | Le numéro de page dont vous souhaitez obtenir les résultats. Par défaut, c'est 1. |
| results_per_page | Optionnel Entier | Combien de résultats souhaitez-vous par page ? Les valeurs autorisées sont : 10, 25, 50, 100, 250, 500, 1000. Par défaut, c'est 25. |
{
"data": [
{
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"chart_datetime": "2026-09-12 00:42:19",
"last_datetime": null,
"datetime": "2026-09-12 00:42:19"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://analyticse.com/api/annotations?page=1",
"last": "https://analyticse.com/api/annotations?page=1",
"next": null,
"prev": null,
"self": "https://analyticse.com/api/annotations?page=1"
}
}
GET https://analyticse.com/api/annotations/{annotation_id}
curl --request GET \
--url 'https://analyticse.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"chart_datetime": "2026-09-12 00:42:19",
"last_datetime": null,
"datetime": "2026-09-12 00:42:19"
}
}
POST https://analyticse.com/api/annotations
| Paramètres | Détails | Description |
|---|---|---|
| website_id | Requis Entier | - |
| name | Requis Chaîne | - |
| chart_datetime | Requis Chaîne | Y-m-d H:i:s |
curl --request POST \
--url 'https://analyticse.com/api/annotations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'chart_datetime=2026-09-12 00:42:19' \
--url 'https://analyticse.com/api/annotations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'chart_datetime=2026-09-12 00:42:19' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"chart_datetime": "2026-09-12 00:42:19",
"last_datetime": null,
"datetime": "2026-09-12 00:42:19"
}
}
POST https://analyticse.com/api/annotations/{annotation_id}
| Paramètres | Détails | Description |
|---|---|---|
| website_id | Optionnel Entier | - |
| name | Optionnel Chaîne | - |
| chart_datetime | Optionnel Chaîne | Y-m-d H:i:s |
curl --request POST \
--url 'https://analyticse.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://analyticse.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"chart_datetime": "2026-09-12 00:42:19",
"last_datetime": "2026-09-12 00:42:19",
"datetime": "2026-09-12 00:42:19"
}
}
DELETE https://analyticse.com/api/annotations/{annotation_id}
curl --request DELETE \
--url 'https://analyticse.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \